Bug 174617 - [new port] No www/apache24 in the ports tree
[new port] No www/apache24 in the ports tree
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: apache
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 19:40 UTC by swall
Modified: 2013-03-26 22:06 UTC (History)
0 users

See Also:


Attachments
file.shar (79.03 KB, text/plain)
2012-12-21 19:40 UTC, swall
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description swall 2012-12-21 19:40:00 UTC
New port: www/apache24

As apache has not yet been upgraded to 2.4, and no one seems to be actively
working on it, I thought I'd take a stab at it myself.  Hopefully, someone with
more experience at porting than I can take a look at it, and maybe adopt it?

Of note, apache 2.4 moves apxs from sbin to bin, so I've added a symlink to
sbin to avoid breaking other port builds.  I've also left out the mpm-itk
stuff from apache22, as the patches seemed specific to 2.2, and I was not sure
how to handle it.

Fix: apache24.shar:

How-To-Repeat: N/A
Comment 1 Olli Hauer freebsd_committer 2013-01-06 19:54:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

assign to apache@
Comment 2 dfilter freebsd_committer 2013-03-26 21:35:45 UTC
Author: ohauer
Date: Tue Mar 26 21:35:33 2013
New Revision: 315335
URL: http://svnweb.freebsd.org/changeset/ports/315335

Log:
  - new port www/apache24
  
  The Apache HTTP Server Project is an effort to develop and maintain an
  open-source HTTP server for various modern desktop and server operating
  systems, such as UNIX and Windows NT. The goal of this project is to
  provide a secure, efficient and extensible server which provides HTTP
  services in sync with the current HTTP standards.
  The 2.x branch of Apache Web Server includes several improvements like
  threading, use of APR, native IPv6 and SSL support, and many more.
  
  WWW: http://httpd.apache.org/
  
  Note:
   Since apache24 does not enable every module by default in httpd.conf the
   list of modules to build was preselected to match build param
    --enable-modules=most
  
   MPM selection is now an OPTION also if the MPM is build statically or
   dynamically. In the later case all modules are build/installed but only
   the selected MPM has an entry in httpd.conf (see apache issue 53882)
  
   Per default the MPM prefork (static) will be build, to get the best
   compatibility.
  
   Custom variants like itk/peruser are not supported at the moment.
  
   Port based on my work prototype from the apache@ list and patch from
   PR 174617
  
  with hat apache@
  
  PR:		174617
  Submitted by:	<swall@redcom.com>

Added:
  head/www/apache24/
  head/www/apache24/Makefile   (contents, props changed)
  head/www/apache24/Makefile.modules   (contents, props changed)
  head/www/apache24/Makefile.options   (contents, props changed)
  head/www/apache24/Makefile.options.desc   (contents, props changed)
  head/www/apache24/distinfo   (contents, props changed)
  head/www/apache24/files/
  head/www/apache24/files/apache24.in   (contents, props changed)
  head/www/apache24/files/htcacheclean.in   (contents, props changed)
  head/www/apache24/files/no-accf.conf   (contents, props changed)
  head/www/apache24/files/patch-Makefile.in   (contents, props changed)
  head/www/apache24/files/patch-config.layout   (contents, props changed)
  head/www/apache24/files/patch-configure.in   (contents, props changed)
  head/www/apache24/files/patch-docs__conf__extra__httpd-autoindex.conf.in   (contents, props changed)
  head/www/apache24/files/patch-docs__conf__extra__httpd-ssl.conf.in   (contents, props changed)
  head/www/apache24/files/patch-docs__conf__extra__httpd-userdir.conf.in   (contents, props changed)
  head/www/apache24/files/patch-docs__conf__httpd.conf.in   (contents, props changed)
  head/www/apache24/files/patch-support__Makefile.in   (contents, props changed)
  head/www/apache24/files/patch-support__apachectl.in   (contents, props changed)
  head/www/apache24/files/patch-support__apxs.in   (contents, props changed)
  head/www/apache24/files/patch-support__envvars-std.in   (contents, props changed)
  head/www/apache24/files/patch-support__log_server_status.in   (contents, props changed)
  head/www/apache24/pkg-descr   (contents, props changed)
  head/www/apache24/pkg-help   (contents, props changed)
  head/www/apache24/pkg-message   (contents, props changed)
  head/www/apache24/pkg-plist   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Tue Mar 26 21:33:33 2013	(r315334)
+++ head/www/Makefile	Tue Mar 26 21:35:33 2013	(r315335)
@@ -25,6 +25,7 @@
     SUBDIR += apache22-itk-mpm
     SUBDIR += apache22-peruser-mpm
     SUBDIR += apache22-worker-mpm
+    SUBDIR += apache24
     SUBDIR += apercu
     SUBDIR += aria
     SUBDIR += aria2

Added: head/www/apache24/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/Makefile	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,168 @@
+# $FreeBSD$
+
+PORTNAME=	apache24
+PORTVERSION=	2.4.4
+CATEGORIES=	www ipv6
+MASTER_SITES=	${MASTER_SITE_APACHE_HTTPD}
+DISTNAME=	httpd-${PORTVERSION}
+DIST_SUBDIR=	apache24
+
+MAINTAINER=	apache@FreeBSD.org
+COMMENT=	Version 2.4.x of Apache web server
+
+LIB_DEPENDS=	expat:${PORTSDIR}/textproc/expat2 \
+		apr-1:${PORTSDIR}/devel/apr1 \
+		pcre:${PORTSDIR}/devel/pcre
+
+MAKE_JOBS_SAFE=	yes
+
+LATEST_LINK?=	apache24
+
+CONFLICTS_INSTALL=	caudium14-1.* \
+		apache-*-2.2.* apache22-*
+
+USE_APACHE=	common24
+USE_ICONV=	yes
+USE_AUTOTOOLS=	autoconf libtool
+USE_PERL5=	yes
+USE_RC_SUBR=	apache24 htcacheclean
+LIBTOOLFILES=	configure.in
+
+MAN1=		ab.1 apxs.1 dbmmanage.1 htdbm.1 htdigest.1 htpasswd.1 httxt2dbm.1 logresolve.1
+MAN8=		apachectl.8 fcgistarter.8 htcacheclean.8 httpd.8 rotatelogs.8 suexec.8
+
+PORTDOCS=	*
+
+USERS=		www
+GROUPS=		www
+
+# for slave ports
+.if !defined(MASTERDIR)
+APACHEDIR=	${.CURDIR}
+.else
+APACHEDIR=	${MASTERDIR}
+.endif
+
+WITH_HTTP_PORT?=	80
+WITH_SSL_PORT?=		443
+
+.include "${APACHEDIR}/Makefile.options"
+.include "${APACHEDIR}/Makefile.options.desc"
+.include <bsd.port.options.mk>
+
+.if ! ${PORT_OPTIONS:MDOCS}
+MAKE_ENV+=	NOPORTDOCS=yes
+.endif
+
+APR_CONFIG?=		${LOCALBASE}/bin/apr-1-config
+APU_CONFIG?=		${LOCALBASE}/bin/apu-1-config
+
+# APU modules used by AUTHN_DBD DBD
+APU_DBD_MYSQL?=		${LOCALBASE}/lib/apr-util-1/apr_dbd_mysql.so
+APU_DBD_PGSQL?=		${LOCALBASE}/lib/apr-util-1/apr_dbd_pgsql.so
+APU_DBD_SQLITE3?=	${LOCALBASE}/lib/apr-util-1/apr_dbd_sqlite3.so
+# APU module used by AUTHNZ_LDAP LDAP
+APU_LDAP?=		${LOCALBASE}/lib/apr-util-1/apr_ldap.so
+# APU module used by SESSION_CRYPTO
+APU_CRYPTO_OPENSSL?=	${LOCALBASE}/lib/apr-util-1/apr_crypto_openssl.so
+APU_CRYPTO_NSS?=	${LOCALBASE}/lib/apr-util-1/apr_crypto_nss.so
+
+PREFIX_RELDEST=	${PREFIX:S,^${DESTDIR},,}
+
+CONFIGURE_ARGS=	--prefix=${PREFIX_RELDEST} \
+		--enable-layout=FreeBSD \
+		--with-perl=${PERL5} \
+		--with-port=${WITH_HTTP_PORT} \
+		--with-sslport=${WITH_SSL_PORT} \
+		--with-expat=${LOCALBASE} \
+		--with-iconv=${LOCALBASE} \
+		--enable-http \
+		--with-pcre=${LOCALBASE} \
+		--with-apr=${APR_CONFIG} \
+		--with-apr-util=${APU_CONFIG}
+
+CONFIGURE_ENV=	\
+		CONFIG_SHELL="${SH}" \
+		LOCALBASE="${LOCALBASE}"
+
+MAKE_ENV+=	EXPR_COMPAT=yes \
+		INSTALL_MAN="${INSTALL_MAN}" \
+		EXAMPLESDIR=${EXAMPLESDIR}
+
+#=====================================================
+# CONFIGURE_ARGS will be handled in Makefile.modules,
+# here we do only OPTIONS fixups
+
+.if ${PORT_OPTIONS:MSSL}
+USE_OPENSSL=	yes
+.endif
+
+.if ${PORT_OPTIONS:MSOCACHE_DC}
+LIB_DEPENDS+=	distcache:${PORTSDIR}/security/distcache
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+USE_LUA=	5.1+
+LUA_COMPS=	lua
+.endif
+
+.if ${PORT_OPTIONS:MLUAJIT}
+LIB_DEPENDS+=   luajit:${PORTSDIR}/lang/luajit
+.endif
+
+.if ${PORT_OPTIONS:MPROXY_HTML} || ${PORT_OPTIONS:MXML2ENC}
+USE_GNOME=	libxml2
+.endif
+
+.include <bsd.port.pre.mk>
+.include "${APACHEDIR}/Makefile.modules"
+
+pre-configure::
+	@${ECHO_MSG}	""
+	@${ECHO_MSG}	"  You can check your modules configuration by using make show-modules"
+	@${ECHO_MSG}	""
+
+post-extract:
+# remove possible leftover .svn directories in the sources
+	@${FIND} ${WRKSRC} -type d -name .svn -print | ${XARGS} ${RM} -rf
+
+post-patch:
+	@${REINPLACE_CMD} -e 's," PLATFORM ",FreeBSD,' ${WRKSRC}/server/core.c
+# IPv4_mapping fix: https://issues.apache.org/bugzilla/show_bug.cgi?id=53824
+	@${REINPLACE_CMD} -e 's|freebsd5|freebsd|' ${WRKSRC}/configure.in ${WRKSRC}/configure
+	@${RM} -f ${WRKSRC}/docs/docroot/*.bak
+	@${INSTALL_DATA} ${WRKSRC}/NOTICE ${WRKSRC}/docs/manual
+
+post-configure:
+	@FTPUSERS=`${EGREP} -v '^#' /etc/ftpusers| ${TR} -s "\n" " "` ;\
+	${REINPLACE_CMD} -e "s,%%FTPUSERS%%,$${FTPUSERS}," ${WRKSRC}/docs/conf/extra/httpd-userdir.conf
+	@${REINPLACE_CMD} -e "s,%%WWWOWN%%,${WWWOWN}," -e "s,%%WWWGRP%%,${WWWGRP}," ${WRKSRC}/docs/conf/httpd.conf
+	@${REINPLACE_CMD} -e "s,%%PREFIX%%,${PREFIX}," ${WRKSRC}/support/envvars-std
+
+post-install:
+	@${MKDIR} ${ETCDIR}/envvars.d
+	@${MKDIR} ${ETCDIR}/Includes
+	@${INSTALL_DATA} ${FILESDIR}/no-accf.conf ${ETCDIR}/Includes/
+
+.if ${PORT_OPTIONS:MLOG_FORENSIC}
+	@${INSTALL_SCRIPT} ${WRKSRC}/support/check_forensic ${PREFIX}/sbin
+.endif
+
+.if ${PORT_OPTIONS:MDOCS}
+.  for dir in style/lang style/xsl/util style/xsl
+	@[ -d ${DOCSDIR}/${dir}/ ] && ${TOUCH} ${DOCSDIR}/${dir}/.keepme
+.  endfor
+.endif
+	@${CAT} ${PKGMESSAGE}
+
+# maintainer only, check for new modules
+modlist: extract
+	@${FIND} ${WRKSRC} \( -name '*.ds?' -o -name 'NWGNU*' -o -name '*.win' -o -name '*.spec' \) -delete
+	@${AWK} '/: checking whether to enable mod_/ \
+		{printf "%%%%%s%%%%libexec/apache24/%s.so\n", \
+		toupper($$8), $$8}' ${WRKSRC}/configure \
+		| ${TR} -d '"' \
+		| ${SORT} -u \
+		| ${GREP} -E -v 'MOD_(HTTP|ISAPI|LOG_CONFIG|PRIVILEGES|SO|UNIXD)%%'
+
+.include <bsd.port.post.mk>

Added: head/www/apache24/Makefile.modules
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/Makefile.modules	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,197 @@
+# $FreeBSD$
+#
+# Note by Clement Laforet: (to generate PLIST_SUB entries for modules)
+#	gsed 's/^\(.*\)mod\(.*\)\.so/%%\MOD\U\2%%\L\1mod\2\.so/' pkg-plist > tmp
+#	mv tmp pkg-plist
+#
+
+# =============================================
+# Maintainer note for OPTION handling:
+# To set additional option use
+#    PORT_OPTIONS+=
+# To unset an OPTION, even the OPTION is set in OPTIONSFILE use
+#    WITHOUT_MODULES+=
+#  Using OPTIONS_EXCLUDE and OPTIONS_OVERRIDE do not work as expected
+#  if the OPTION is enabled by the user, therefore we calculate
+#  them in bsd.apache.mk with help of WITHOUT_MODULES
+#  The other methode is to set IGNORE's and force the user to adjust OPTIONS
+
+.if defined(_PREMKINCLUDED)
+
+# check if APR was build with thread support
+.if exists(${APR_CONFIG})
+APR_LIBS!=	${SH} ${APR_CONFIG} --libs | ${SED} -e 's/-//g'
+.  if defined(APR_LIBS) && !empty(APR_LIBS)
+_T=pthread
+.    for lib in ${APR_LIBS}
+. 	if ${_T:M${lib}}
+APR_HAS_THREADS=	yes
+.	endif
+.    endfor
+.  endif
+.endif	# exists APR_CONFIG
+
+# check if APR-util module exists
+.if exists(${APU_CONFIG})
+.  if ${PORT_OPTIONS:MLDAP} || ${PORT_OPTIONS:MAUTHNZ_LDAP}
+.    if !exists(${APU_LDAP})
+IGNORE=	LDAP and AUTHNZ_LDAP requires APR-util to have LDAP support built in.\
+	Please rebuild APR with LDAP support
+.    endif
+.  endif
+
+.  if ${PORT_OPTIONS:MSESSION_CRYPTO}
+.    if !exists(${APU_CRYPTO_OPENSSL})
+IGNORE=	SESSION_CRYPTO requires APR-util to have crypto openssl support build in.\
+	Please rebuild APR with crypto openssl support
+.    endif
+.  endif
+
+# XXX apache24 needs only the apu-header
+#     perhaps we get in future the possibility to package dedicated APU modules
+#
+#.  if ${PORT_OPTIONS:MDBD} || ${PORT_OPTIONS:MAUTHN_DBD}
+#.    if !exists(${APU_DBD_MYSQL}) && !exists(${APU_DBD_PGSQL}) && !exists(${APU_DBD_SQLITE3})
+#IGNORE=	AUTHN_DBD and DBD requires APR-util to have DBD support build in.\
+#	Please rebuild APR at last with one DBD backend
+#.    endif
+#.  endif
+.endif	# exists APU_CONFIG
+
+# =============================================
+# if build with shared MPM the last module will be activated
+# see apache issue 53882
+
+# XXX in case we use OPTIONS for MPM 
+# we do not have a WITH_MPM variable
+.if ${PORT_OPTIONS:MMPM_SHARED}
+PLIST_SUB+=		MPM_SHARED=""
+CONFIGURE_ARGS+=	--enable-mpms-shared=all
+.else
+PLIST_SUB+=		MPM_SHARED="@comment "
+.endif
+
+# XXX LATEST_LINK overwrites OPTIONSFILE ...
+# maybe use NO_LATEST_LINK in future
+.if ${PORT_OPTIONS:MMPM_PREFORK}
+CONFIGURE_ARGS+=	--with-mpm=prefork
+.elif ${PORT_OPTIONS:MMPM_WORKER}
+CONFIGURE_ARGS+=	--with-mpm=worker
+.elif ${PORT_OPTIONS:MMPM_EVENT}
+CONFIGURE_ARGS+=	--with-mpm=event
+.else
+IGNORE=	Unknown MPM:
+.endif
+
+.if ${PORT_OPTIONS:MMPM_WORKER} || ${PORT_OPTIONS:MMPM_EVENT}
+.  if exists(${APR_CONFIG}) && !defined(APR_HAS_THREADS)
+IGNORE=	requires APR threads. Please rebuild APR with THREAD support
+.  endif
+.endif
+# =============================================
+
+# build develop/example modules only with additional confirmation
+.for DEVMOD in ${EXAMPLE_MODULES}
+.  if ${PORT_OPTIONS:M${DEVMOD}}
+WITH_DEVMODS=	yes
+.  endif
+.endfor
+
+.if defined(WITH_DEVMODS) && !defined(IAMADEVELOPER )
+IGNORE=		to build the develop/example modules specify -DIAMADEVELOPER on the command line.\
+		Do not use the this modules in production environment
+.endif
+
+# The next three params are not converted to an option,
+# they should be used only for special builds.
+.if defined(WITH_STATIC_SUPPORT)
+CONFIGURE_ARGS+=	--enable-static-support
+.endif
+
+# debug overrides CFLAGS
+.if defined(WITH_DEBUG)
+DEBUG_FLAGS?=	-O0 -g -ggdb3
+CFLAGS=		${DEBUG_FLAGS}
+CONFIGURE_ARGS+=	--enable-maintainer-mode
+WITH_EXCEPTION_HOOK=	yes
+.endif
+
+.if defined(WITH_EXCEPTION_HOOK)
+CONFIGURE_ARGS+=	--enable-exception-hook
+.endif
+
+# watchdog modules
+.if ! ${PORT_OPTIONS:MWATCHDOG} || ! ${PORT_OPTIONS:MSTATUS}
+.  if ${PORT_OPTIONS:MHEARTBEAT}
+IGNORE=	HEARTBEAT requires WATCHDOG and STATUS
+.  elif ${PORT_OPTIONS:MHEARTMONITOR}
+IGNORE=	HEARTMONITOR requires WATCHDOG and STATUS
+.  endif
+.endif
+.if ${PORT_OPTIONS:MLBMETHOD_HEARTBEAT} && ! ${PORT_OPTIONS:MHEARTMONITOR}
+IGNORE=	LBMETHOD_HEARTBEAT requires WATCHDOG, STATUS and HEARTMONITOR
+.endif
+
+.if ${PORT_OPTIONS:MAUTH_BASIC} || ${PORT_OPTIONS:MAUTH_DIGEST}
+.  if !${APACHE_MODULES:MAUTHN*}
+IGNORE=	AUTH_BASIC and AUTH_DIGEST need at least one AUTHN provider
+.  endif
+.endif
+
+.  if ${PORT_OPTIONS:MAUTHN_DBD} && ! ${PORT_OPTIONS:MDBD}
+IGNORE=	AUTHN_DBD requires DBD
+.  endif
+
+.if ${PORT_OPTIONS:MAUTH_BASIC}
+.  if !${APACHE_MODULES:MAUTHZ*}
+IGNORE=	AUTH_BASIC need at least one AUTHZ provider
+.  endif
+.endif
+
+.if ${PORT_OPTIONS:MSSL}
+CFLAGS+=	-I${OPENSSLINC}
+LDFLAGS+=	-L${OPENSSLLIB}
+CONFIGURE_ARGS+=	--with-ssl=${OPENSSLBASE}
+.endif
+
+.if ${PORT_OPTIONS:MSOCACHE_DC}
+CONFIGURE_ARGS+=	--with-distcache=${LOCALBASE}
+.endif
+
+.if ${PORT_OPTIONS:MLUA}
+CONFIGURE_ARGS+=	--with-lua=${LOCALBASE}
+.else
+CONFIGURE_ARGS+=	--without-lua
+.endif
+
+.if ${PORT_OPTIONS:MXML2ENC} || ${PORT_OPTIONS:MPROXY_HTML}
+CONFIGURE_ARGS+=	--with-libxml2=${LOCALBASE}/include/libxml2
+.else
+CONFIGURE_ARGS+=	--without-libxml2
+.endif
+
+.if ${PORT_OPTIONS:MAUTHNZ_LDAP}
+CONFIGURE_ARGS+=	--enable-authnz-ldap
+.endif
+
+.if ${PORT_OPTIONS:MLDAP}
+CONFIGURE_ARGS+=	--enable-ldap=shared
+.endif
+
+.if defined(APR_HAS_THREADS)
+CFLAGS+=	${PTHREAD_CFLAGS}
+LDFLAGS+=	${PTHREAD_LIBS}
+.else
+.  if exists(${APR_CONFIG}) && ${PORT_OPTIONS:MMEM_CACHE}
+IGNORE=	MEM_CACHE requires APR threads. Please rebuild APR with THREAD support
+.  endif
+.endif
+
+# http://httpd.apache.org/docs/2.4/bind.html
+.if ${PORT_OPTIONS:MIPV4_MAPPED}
+CONFIGURE_ARGS+=	--enable-v4-mapped
+.else
+CONFIGURE_ARGS+=	--disable-v4-mapped
+.endif
+
+.endif	# _PREMKINCLUDED

Added: head/www/apache24/Makefile.options
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/Makefile.options	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,99 @@
+# $FreeBSD$
+
+# ===========================================================
+# The list of modules are no longer classified in CATEGORIES.
+# We use for enabled/disabled now the resulting modules from
+# configure --enable-modules=most
+#
+# Required modules without OPTION:
+#   UNIXD LOG_CONFIG
+
+
+PROXY_ENABLED_MODULES= \
+	PROXY_AJP PROXY_BALANCER PROXY_CONNECT PROXY_EXPRESS PROXY_FCGI \
+	PROXY_FTP PROXY_HTTP PROXY_SCGI
+
+PROXY_DISABLED_MODULES= \
+	PROXY_FDPASS PROXY_HTML
+
+# SESSION_CRYPTO need APR build with crypto (EVP support in APR)
+SESSION_ENABLED_MODULES= \
+	SESSION_COOKIE SESSION_CRYPTO
+
+SESSION_DISABLED_MODULES= \
+	SESSION_DBD
+
+HEARTBEAT_MODULES= \
+	HEARTBEAT HEARTMONITOR LBMETHOD_HEARTBEAT
+
+EXAMPLE_MODULES= \
+	CASE_FILTER CASE_FILTER_IN ECHO EXAMPLE_HOOKS EXAMPLE_IPC \
+	OPTIONAL_FN_EXPORT OPTIONAL_FN_IMPORT OPTIONAL_HOOK_EXPORT \
+	OPTIONAL_HOOK_IMPORT
+
+DEV_MODULES=	BUCKETEER
+
+MOST_ENABLED_MODULES= \
+	ACCESS_COMPAT ACTIONS ALIAS ALLOWMETHODS ASIS AUTHN_ANON AUTHN_CORE \
+	AUTHN_DBD AUTHN_DBM AUTHN_FILE AUTHN_SOCACHE AUTHZ_CORE AUTHZ_DBD \
+	AUTHZ_DBM AUTHZ_GROUPFILE AUTHZ_HOST AUTHZ_OWNER AUTHZ_USER \
+	AUTH_BASIC AUTH_DIGEST AUTH_FORM AUTOINDEX BUFFER CACHE CACHE_DISK \
+	CERN_META CGI CGID DAV DAV_FS DBD DEFLATE DIR DUMPIO ENV EXPIRES \
+	EXT_FILTER FILE_CACHE FILTER HEADERS IMAGEMAP INCLUDE INFO \
+	LBMETHOD_BYBUSYNESS LBMETHOD_BYREQUESTS LBMETHOD_BYTRAFFIC \
+	LOGIO LOG_DEBUG MIME MIME_MAGIC NEGOTIATION RATELIMIT REMOTEIP \
+	REQTIMEOUT REQUEST REWRITE SED SETENVIF SOCACHE_DBM SOCACHE_MEMCACHE \
+	SOCACHE_SHMCB SPELING SSL STATUS SUBSTITUTE UNIQUE_ID USERDIR \
+	VERSION VHOST_ALIAS
+
+MOST_DISABLED_MODULES:= \
+	AUTHNZ_LDAP LDAP CHARSET_LITE DATA DAV_LOCK DIALUP IDENT LOG_FORENSIC \
+	LUA REFLECTOR SLOTMEM_PLAIN SLOTMEM_SHM SOCACHE_DC SUEXEC USERTRACK \
+	XML2ENC WATCHDOG ${HEARTBEAT_MODULES} ${EXAMPLE_MODULES} ${DEV_MODULES}
+
+#MULTI_MODULES:=	${OPTIONS_MULTI}
+
+# XXX PROXY and SESSION are modules but also used to
+#     enable/disable additional PROXY/SESSION modules
+META_MODULES=	PROXY SESSION
+
+ALL_MODULES_CATEGORIES=	\
+	MOST_ENABLED MOST_DISABLED MULTI \
+	PROXY_ENABLED PROXY_DISABLED \
+	SESSION_ENABLED SESSION_DISABLED \
+	META
+
+#STATIC=	STATIC_AB STATIC_CHECKGID STATIC_FCGISTARTER STATIC_HTCACHECLEAN \
+#		STATIC_HTDBM STATIC_HTDIGEST STATIC_HTPASSWD STATIC_HTTXT2DBM \
+#		STATIC_LOGRESOLVE STATIC_ROTATELOGS STATIC_SUPPORT
+
+ADDITIONAL_OPT=	LUAJIT IPV4_MAPPED
+
+# ===================================================================================
+NO_OPTIONS_SORT=	yes
+
+OPTIONS_MULTI=		${META_MODULES}
+OPTIONS_MULTI_PROXY:=	${PROXY_ENABLED_MODULES} ${PROXY_DISABLED_MODULES}
+OPTIONS_MULTI_SESSION:=	${SESSION_ENABLED_MODULES} ${SESSION_DISABLED_MODULES}
+
+OPTIONS_RADIO=			SHARED_MPM
+OPTIONS_RADIO_SHARED_MPM=	MPM_SHARED
+
+OPTIONS_SINGLE=			DEFAULT_MPM
+OPTIONS_SINGLE_DEFAULT_MPM=	MPM_PREFORK MPM_WORKER MPM_EVENT
+
+# ===================================================================================
+
+OPTIONS_DEFINE:=		\
+	${MOST_ENABLED_MODULES}	\
+	${MOST_DISABLED_MODULES}\
+	${ADDITIONAL_OPT}	\
+	${OPTIONS_MULTI}
+
+OPTIONS_DEFAULT:=		\
+	${MOST_ENABLED_MODULES}	\
+	${OPTIONS_MULTI}	\
+	${SESSION_ENABLED_MODULES} \
+	${PROXY_ENABLED_MODULES} \
+	MPM_PREFORK
+

Added: head/www/apache24/Makefile.options.desc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/Makefile.options.desc	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,173 @@
+# $FreeBSD$
+
+# vim: syntax=make ts=8 noet
+# =====================================
+# OPTIONS HEADING
+PROXY_DESC=			Build enabled PROXY modules
+SESSION_DESC=			Build enabled SESSION modules
+DEFAULT_MPM_DESC=		The default MPM module
+SHARED_MPM_DESC=		Build all MPMs as shared Module
+
+# =====================================
+# MPMs
+MPM_SHARED_DESC=		all MPMs as loadable module
+MPM_PREFORK_DESC=		non-threaded, pre-forking web server
+MPM_WORKER_DESC=		hybrid multi-threaded multi-process web server
+MPM_EVENT_DESC=			MPM worker variant with the goal of consuming threads only for connections with active processing
+
+# =====================================
+# additional (no modules)
+IPV4_MAPPED_DESC=		Allow IPv6 sockets to handle IPv4 connections
+LUAJIT_DESC=			LuaJit Support
+
+# =====================================
+# static support (tbd)
+STATIC_AB_DESC=			static linked ab
+STATIC_CHECKGID_DESC=		static linked checkgid
+STATIC_FCGISTARTER_DESC=	static linked fcgistarter
+STATIC_HTCACHECLEAN_DESC=	static linked htcacheclean
+STATIC_HTDBM_DESC=		static linked htdbm
+STATIC_HTDIGEST_DESC=		static linked htdigest
+STATIC_HTPASSWD_DESC=		static linked htpasswd
+STATIC_HTTXT2DBM_DESC=		static linked httxt2dbm
+STATIC_LOGRESOLVE_DESC=		static linked logresolve
+STATIC_ROTATELOGS_DESC=		static linked rotatelogs
+STATIC_SUPPORT_DESC=		static linked support binaries
+
+# =====================================
+# modules
+# deprecated: ACCESS_COMPAT
+ACCESS_COMPAT_DESC=		Old group authorizations based on host (name or IP), deprecated by mod_authz_host
+ACTIONS_DESC=			Action triggering on requests
+ALIAS_DESC=			Mapping of requests to different filesystem parts
+ALLOWMETHODS_DESC=		Easily restrict what HTTP methods can be used on the server
+ASIS_DESC=			Sends files that contain their own HTTP headers
+AUTHNZ_LDAP_DESC=		LDAP based authentication
+AUTHN_ANON_DESC=		Anonymous user authentication control
+AUTHN_CORE_DESC=		Core authentication module
+AUTHN_DBD_DESC=			SQL-based authentication control
+AUTHN_DBM_DESC=			DBM-based authentication control
+AUTHN_FILE_DESC=		File-based authentication control
+AUTHN_SOCACHE_DESC=		Cached authentication control
+AUTHZ_CORE_DESC=		Core authorization provider vector module
+AUTHZ_DBD_DESC=			SQL based authorization and Login/Session support
+AUTHZ_DBM_DESC=			DBM-based authorization control
+AUTHZ_GROUPFILE_DESC=		Group authorization using plaintext files
+AUTHZ_HOST_DESC=		Host-based authorization control
+AUTHZ_OWNER_DESC=		Authorization based on file ownership
+AUTHZ_USER_DESC=		User Authorization
+AUTH_BASIC_DESC=		Basic authentication
+AUTH_DIGEST_DESC=		RFC2617 Digest authentication
+AUTH_FORM_DESC=			Form authentication
+AUTOINDEX_DESC=			Directory listing
+
+BUCKETEER_DESC=			(dev) buckets manipulation filter, useful only for developers and testing purposes
+BUFFER_DESC=			Filter Buffering
+
+CACHE_DESC=			Dynamic file caching
+CACHE_DISK_DESC=		Disk caching module
+CASE_FILTER_DESC=		(dev) example uppercase conversion filter
+CASE_FILTER_IN_DESC=		(dev) example uppercase conversion input filter
+CERN_META_DESC=			CERN-type meta files
+CGID_DESC=			CGI scripts (threaded MPMs)
+CGI_DESC=			CGI scripts (non-threaded MPMs)
+CHARSET_LITE_DESC=		Character set translation. Enabled by default only on EBCDIC systems
+
+DATA_DESC=			RFC2397 data encoder
+DAV_DESC=			WebDAV protocol handling. --enable-dav also enables mod_dav_fs
+DAV_FS_DESC=			DAV provider for the filesystem. --enable-dav also enables mod_dav_fs
+DAV_LOCK_DESC=			DAV provider for generic locking
+DBD_DESC=			Apache DBD Framework
+DEFLATE_DESC=			Deflate transfer encoding support
+DIALUP_DESC=			Rate limits static files to dialup modem speeds
+DIR_DESC=			Directory request handling
+DUMPIO_DESC=			I/O dump filter
+
+ECHO_DESC=			(dev) example echo server
+ENV_DESC=			Modifies environment passed to CGI/SSI pages
+EXAMPLE_HOOKS_DESC=		(dev) example hook module
+EXAMPLE_IPC_DESC=		(dev) example IPC module
+EXPIRES_DESC=			Expires header control
+EXT_FILTER_DESC=		External filter module
+
+FILE_CACHE_DESC=		File cache
+FILTER_DESC=			Smart Filtering
+
+HEADERS_DESC=			HTTP header control
+HEARTBEAT_DESC=			Generates Heartbeats
+HEARTMONITOR_DESC=		Collects Heartbeats
+
+IDENT_DESC=			RFC 1413 ident lookups
+IMAGEMAP_DESC=			Server-side imagemaps
+INCLUDE_DESC=			Server-side includes
+INFO_DESC=			Server information
+
+LBMETHOD_BYBUSYNESS_DESC=	Apache proxy Load balancing by busyness
+LBMETHOD_BYREQUESTS_DESC=	Apache proxy Load balancing by request counting
+LBMETHOD_BYTRAFFIC_DESC=	Apache proxy Load balancing by traffic counting
+LBMETHOD_HEARTBEAT_DESC=	Apache proxy Load balancing from Heartbeats
+LDAP_DESC=			LDAP caching and connection pooling services
+LOGIO_DESC=			Input and output logging
+LOG_CONFIG_DESC=		logging configuration
+LOG_DEBUG_DESC=			Configurable debug logging
+LOG_FORENSIC_DESC=		Forensic logging
+LUA_DESC=			Apache Lua Framework
+
+MIME_DESC=			Mapp file-ext. to MIME (recommended)
+MIME_MAGIC_DESC=		Automagically determining MIME type
+
+NEGOTIATION_DESC=		Content negotiation
+
+OPTIONAL_FN_EXPORT_DESC=	(dev) example optional function exporter
+OPTIONAL_FN_IMPORT_DESC=	(dev) example optional function importer
+OPTIONAL_HOOK_EXPORT_DESC=	(dev) example optional hook exporter
+OPTIONAL_HOOK_IMPORT_DESC=	(dev) example optional hook importer
+
+#PRIVILEGES_DESC=		Per-virtualhost Unix UserIDs and enhanced security for Solaris
+PROXY_AJP_DESC=			AJP support module for mod_proxy
+PROXY_BALANCER_DESC=		mod_proxy extension for load balancing
+PROXY_CONNECT_DESC=		mod_proxy extension for CONNECT request handling
+PROXY_EXPRESS_DESC=		Dynamic mass reverse proxy extension for mod_proxy
+PROXY_FCGI_DESC=		FastCGI support module for mod_proxy
+PROXY_FDPASS_DESC=		fdpass external process support module for mod_proxy
+PROXY_FTP_DESC=			FTP support module for mod_proxy
+PROXY_HTML_DESC=		Fix HTML Links in a Reverse Proxy
+PROXY_HTTP_DESC=		HTTP support module for mod_proxy
+PROXY_SCGI_DESC=		SCGI gateway module for mod_proxy
+
+RATELIMIT_DESC=			Output Bandwidth Limiting
+REFLECTOR_DESC=			Reflect request through the output filter stack
+REMOTEIP_DESC=			Translate header contents to an apparent client remote_ip
+REQTIMEOUT_DESC=		Limit time waiting for request from client
+REQUEST_DESC=			Request Body Filtering
+REWRITE_DESC=			Rule based URL manipulation
+
+SED_DESC=			Filter request and/or response bodies through sed
+SESSION_COOKIE_DESC=		Session cookie module
+SESSION_CRYPTO_DESC=		Session crypto module
+SESSION_DBD_DESC=		Session dbd module
+SETENVIF_DESC=			Modify ENV vars based on characteristics of the request
+SLOTMEM_PLAIN_DESC=		Slotmem provider that uses plain memory
+SLOTMEM_SHM_DESC=		Slotmem provider that uses shared memory
+SOCACHE_DBM_DESC=		dbm small object cache provider
+SOCACHE_DC_DESC=		distcache small object cache provider
+SOCACHE_MEMCACHE_DESC=		memcache small object cache provider
+SOCACHE_SHMCB_DESC=		shmcb small object cache provider
+SPELING_DESC=			Correct common URL misspellings
+SSL_DESC=			SSL/TLS support (mod_ssl)
+STATUS_DESC=			Process/thread monitoring
+SUBSTITUTE_DESC=		Response content rewrite-like filtering
+SUEXEC_DESC=			Set uid and gid for spawned processes
+
+UNIQUE_ID_DESC=			Per-request unique ids
+UNIXD_DESC=			(required) security for Unix-family platforms
+USERDIR_DESC=			Mapping of requests to user-specific directories
+USERTRACK_DESC=			User-session tracking
+
+VERSION_DESC=			Determining httpd version in config files
+VHOST_ALIAS_DESC=		Mass virtual hosting
+
+WATCHDOG_DESC=			Watchdog module
+
+XML2ENC_DESC=			i18n support for markup filters
+

Added: head/www/apache24/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/distinfo	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,2 @@
+SHA256 (apache24/httpd-2.4.4.tar.gz) = aec9f0b92021b7f67d1f0a2221afcb26ee6469d861b6d0168d8d8c51d710ef79
+SIZE (apache24/httpd-2.4.4.tar.gz) = 6451189

Added: head/www/apache24/files/apache24.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/files/apache24.in	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,196 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+# PROVIDE: apache24
+# REQUIRE: LOGIN cleanvar sshd
+# KEYWORD: shutdown
+
+#
+# Add the following lines to /etc/rc.conf to enable apache24:
+# apache24_enable (bool):      Set to "NO" by default.
+#                             Set it to "YES" to enable apache24
+# apache24_profiles (str):     Set to "" by default.
+#                              Define your profiles here.
+# apache24limits_enable (bool):Set to "NO" by default.
+#                             Set it to yes to run `limits $limits_args`
+#                             just before apache starts.
+# apache24_flags (str):        Set to "" by default.
+#                             Extra flags passed to start command.
+# apache24limits_args (str):   Default to "-e -C daemon"
+#                             Arguments of pre-start limits run.
+# apache24_http_accept_enable (bool): Set to "NO" by default.
+#                             Set to yes to check for accf_http kernel
+#                             module on start up and load if not loaded.
+# apache24_fib (str):	      Set an altered default network view for apache
+
+. /etc/rc.subr
+
+name="apache24"
+rcvar=apache24_enable
+
+start_precmd="apache24_prestart"
+restart_precmd="apache24_checkconfig"
+reload_precmd="apache24_checkconfig"
+reload_cmd="apache24_graceful"
+graceful_cmd="apache24_graceful"
+gracefulstop_cmd="apache24_gracefulstop"
+configtest_cmd="apache24_checkconfig"
+command="%%PREFIX%%/sbin/httpd"
+_pidprefix="/var/run/httpd"
+pidfile="${_pidprefix}.pid"
+required_files=%%PREFIX%%/etc/apache24/httpd.conf
+envvars="%%PREFIX%%/sbin/envvars"
+
+[ -z "$apache24_enable" ]       && apache24_enable="NO"
+[ -z "$apache24limits_enable" ] && apache24limits_enable="NO"
+[ -z "$apache24limits_args" ]   && apache24limits_args="-e -C daemon"
+[ -z "$apache24_http_accept_enable" ] && apache24_http_accept_enable="NO"
+
+apache24_accf()
+{
+  if checkyesno apache24_http_accept_enable; then
+    /sbin/kldstat -v | grep accf_http > /dev/null 2>&1 || /sbin/kldload accf_http || return ${?}
+    /sbin/kldstat -v | grep accf_data > /dev/null 2>&1 || /sbin/kldload accf_data || return ${?}
+  else
+    apache24_flags="${apache24_flags} -DNOHTTPACCEPT"
+  fi
+}
+
+load_rc_config $name
+
+if [ -n "$2" ]; then
+	profile="$2"
+	if [ "x${apache24_profiles}" != "x" ]; then
+		pidfile="${_pidprefix}.${profile}.pid"
+		eval apache24_configfile="\${apache24_${profile}_configfile:-}"
+		if [ "x${apache24_configfile}" = "x" ]; then
+			echo "You must define a configuration file (apache24_${profile}_configfile)"
+			exit 1
+		fi
+		required_files="${apache24_configfile}"
+		eval apache24_enable="\${apache24_${profile}_enable:-${apache24_enable}}"
+		eval apache24_flags="\${apache24_${profile}_flags:-${apache24_flags}}"
+		eval apache24_http_accept_enable="\${apache24_${profile}_http_accept_enable:-${apache24_http_accept_enable}}"
+		eval apache24limits_enable="\${apache24limits_${profile}_enable:-${apache24limits_enable}}"
+		eval apache24limits_args="\${apache24limits_${profile}_args:-${apache24limits_args}}"
+		eval apache24_fib="\${apache24_${profile}_fib:-${apache24_fib}}"
+		eval command="\${apache24_${profile}_command:-${command}}"
+		eval pidfile="\${apache24_${profile}_pidfile:-${pidfile}}"
+		eval apache24_envvars="\${apache24_${profile}_envvars:-${envvars}}"
+		apache24_flags="-f ${apache24_configfile} -c \"PidFile ${pidfile}\" ${apache24_flags}"
+	else
+		echo "$0: extra argument ignored"
+	fi
+else
+	eval apache24_envvars=${envvars}
+	if [ "x${apache24_profiles}" != "x" -a "x$1" != "x" ]; then
+		for profile in ${apache24_profiles}; do
+			eval _enable="\${apache24_${profile}_enable}"
+			case "x${_enable:-${apache24_enable}}" in
+			x|x[Nn][Oo]|x[Nn][Oo][Nn][Ee])
+				continue
+				;;
+			x[Yy][Ee][Ss])
+				;;
+			*)
+				if test -z "$_enable"; then
+					_var=apache24_enable
+				else
+					_var=apache24_"${profile}"_enable
+				fi
+				echo "Bad value" \
+				    "'${_enable:-${apache24_enable}}'" \
+				    "for ${_var}. " \
+				    "Profile ${profile} skipped."
+				continue
+				;;
+			esac
+			echo "===> apache24 profile: ${profile}"
+			%%PREFIX%%/etc/rc.d/apache24 $1 ${profile}
+			retcode="$?"
+			if [ "0${retcode}" -ne 0 ]; then
+				failed="${profile} (${retcode}) ${failed:-}"
+			else
+				success="${profile} ${success:-}"
+			fi
+		done
+		exit 0
+	fi
+fi
+
+if [ "${1}" != "stop" ] ; then \
+	apache24_accf
+fi
+
+apache24_requirepidfile()
+{
+    apache24_checkconfig
+
+	if [ ! "0`check_pidfile ${pidfile} ${command}`" -gt 1 ]; then
+		echo "${name} not running? (check $pidfile)."
+		exit 1
+	fi
+}
+
+apache24_checkconfig()
+{
+	if test -f ${apache24_envvars}
+	then
+		. ${apache24_envvars}
+	fi
+
+	echo "Performing sanity check on apache24 configuration:"
+	eval ${command} ${apache24_flags} -t
+}
+
+apache24_graceful() {
+	apache24_requirepidfile
+
+	echo "Performing a graceful restart"
+	eval ${command} ${apache24_flags} -k graceful
+}
+
+apache24_gracefulstop() {
+	apache24_requirepidfile
+
+	echo "Performing a graceful stop"
+	eval ${command} ${apache24_flags} -k graceful-stop
+}
+
+apache24_precmd()
+{
+	apache24_checkconfig
+
+	if checkyesno apache24limits_enable
+	then
+		eval `/usr/bin/limits ${apache24limits_args}` 2>/dev/null
+	else
+		return 0
+        fi
+
+}
+
+apache24_checkfib () {
+	if command -v check_namevarlist > /dev/null 2>&1; then
+		check_namevarlist fib && return 0
+	fi
+
+	$SYSCTL net.fibs >/dev/null 2>&1 || return 0
+
+	apache24_fib=${apache24_fib:-"NONE"}
+	if [ "x$apache24_fib" != "xNONE" ]
+	then
+		command="/usr/sbin/setfib -F ${apache24_fib} ${command}"
+	else
+		return 0
+	fi
+}
+
+apache24_prestart() {
+	apache24_checkfib
+	apache24_precmd
+}
+
+extra_commands="reload graceful gracefulstop configtest"
+run_rc_command "$1"

Added: head/www/apache24/files/htcacheclean.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/files/htcacheclean.in	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: htcacheclean
+#
+# Configuration settings for htcacheclean in /etc/rc.conf
+#
+# htcacheclean_enable (bool) 
+# Set to "NO" by default 
+# Set it to "YES" to enable htcacheclean
+#
+# htcacheclean_cache (str) Set to "%%PREFIX%%/www/proxy" by default Set the
+# location of the mod_disk_cache CacheRoot This should be the same as whats in
+# your httpd.conf
+#
+# htcacheclean_cachelimit (str) Set to "512M" by default Sets the size
+# htcacheclean should prune the disk cache to expressed in bytes by default, K
+# for kilobytes, M for megabytes.
+#
+# htcacheclean_interval (num) 
+# Set to "10" by default
+# Sets how frequently in munutes htcacheclean wakes up and prunes the cache
+#
+# htcacheclean_args (str)
+# Set to "-t -n -i" by default
+# Sets extra command-line arguments to htcacheclean
+# -t Delete all empty directories
+# -n Be nice by sleeping occasionally to not saturate the I/O bandwith of the disk
+# -i Run only when there was a modification of the disk cache
+
+. /etc/rc.subr
+
+name="htcacheclean"
+rcvar=htcacheclean_enable
+
+load_rc_config "${name}"
+
+htcacheclean_enable="${htcacheclean_enable:-"NO"}"
+htcacheclean_cache="${htcacheclean_cache:-"%%PREFIX%%/www/proxy"}"
+htcacheclean_cachelimit="${htcacheclean_cachelimit:-"512M"}"
+htcacheclean_interval="${htcacheclean_interval:-"60"}"
+htcacheclean_args="${htcacheclean_args:-"-t -n -i"}"
+
+start_precmd="htc_check"
+restart_precmd="htc_check"
+restart_reload="htc_check"
+
+command="%%PREFIX%%/sbin/htcacheclean"
+flags="-p${htcacheclean_cache} -d${htcacheclean_interval} -l${htcacheclean_cachelimit} ${htcacheclean_args}"
+required_dirs="${htcacheclean_cache}"
+
+htc_check()
+{
+	[ ! -d ${htcacheclean_cache} ] && {
+		echo ""
+		return 1
+	}
+	return 0
+}
+
+run_rc_command "$1"

Added: head/www/apache24/files/no-accf.conf
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/files/no-accf.conf	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,4 @@
+<IfDefine NOHTTPACCEPT>
+   AcceptFilter http none
+   AcceptFilter https none
+</IfDefine>

Added: head/www/apache24/files/patch-Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/apache24/files/patch-Makefile.in	Tue Mar 26 21:35:33 2013	(r315335)
@@ -0,0 +1,115 @@
+--- ./Makefile.in.orig	2012-12-17 12:50:41.000000000 +0100
++++ ./Makefile.in	2013-03-24 16:01:58.000000000 +0100
+@@ -32,9 +32,10 @@
+ install-conf:
+ 	@echo Installing configuration files
+ 	@$(MKINSTALLDIRS) $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/extra
+-	@$(MKINSTALLDIRS) $(DESTDIR)$(sysconfdir)/original/extra
++	@$(MKINSTALLDIRS) $(DESTDIR)$(EXAMPLESDIR) $(DESTDIR)$(EXAMPLESDIR)/extra
+ 	@cd $(top_srcdir)/docs/conf; \
+ 	for i in mime.types magic; do \
++	    $(INSTALL_DATA) $$i $(DESTDIR)$(EXAMPLESDIR); \
+ 	    if test ! -f $(DESTDIR)$(sysconfdir)/$$i; then \
+ 	        $(INSTALL_DATA) $$i $(DESTDIR)$(sysconfdir); \
+ 	    fi; \
+@@ -78,14 +79,14 @@
+ 	    				-e 's#@@SSLPort@@#$(SSLPORT)#g' \
+ 	    				< $$i; \
+ 	    		fi \
+-	    	) > $(DESTDIR)$(sysconfdir)/original/$$i; \
+-	    	chmod 0644 $(DESTDIR)$(sysconfdir)/original/$$i; \
++	    	) > $(DESTDIR)$(EXAMPLESDIR)/$$i; \
++	    	chmod 0644 $(DESTDIR)$(EXAMPLESDIR)/$$i; \
+ 	    	file=$$i; \
+ 	    	if [ "$$i" = "httpd.conf" ]; then \
+ 	    		file=`echo $$i|sed s/.*.conf/$(PROGRAM_NAME).conf/`; \
+ 	    	fi; \
+ 	    	if test ! -f $(DESTDIR)$(sysconfdir)/$$file; then \
+-	    		$(INSTALL_DATA) $(DESTDIR)$(sysconfdir)/original/$$i $(DESTDIR)$(sysconfdir)/$$file; \
++	    		$(INSTALL_DATA) $(DESTDIR)$(EXAMPLESDIR)/$$i $(DESTDIR)$(sysconfdir)/$$file; \
+ 	    	fi; \
+ 	    	fi; \
+ 	    done ; \
+@@ -137,48 +138,26 @@
+ 	doxygen $(top_srcdir)/docs/doxygen.conf
+ 
+ install-htdocs:
+-	-@if [ -d $(DESTDIR)$(htdocsdir) ]; then \
+-           echo "[PRESERVING EXISTING HTDOCS SUBDIR: $(DESTDIR)$(htdocsdir)]"; \
+-        else \
+-	    echo Installing HTML documents ; \
++	    @echo Installing HTML documents ; \
+ 	    $(MKINSTALLDIRS) $(DESTDIR)$(htdocsdir) ; \
+-	    if test -d $(htdocs-srcdir) && test "x$(RSYNC)" != "x" && test -x $(RSYNC) ; then \
+-		$(RSYNC) --exclude .svn -rlpt --numeric-ids $(htdocs-srcdir)/ $(DESTDIR)$(htdocsdir)/; \
+-	    else \
+-		test -d $(htdocs-srcdir) && (cd $(htdocs-srcdir) && cp -rp * $(DESTDIR)$(htdocsdir)) ; \
+-		cd $(DESTDIR)$(htdocsdir) && find . -name ".svn" -type d -print | xargs rm -rf 2>/dev/null || true; \
+-	    fi; \
+-	fi
++	    $(MKINSTALLDIRS) $(DESTDIR)$(EXAMPLESDIR) ; \
++		test -d $(htdocs-srcdir) && (cd $(htdocs-srcdir) && cp -rp index.html $(DESTDIR)$(EXAMPLESDIR)) && \
++		( [ ! -f $(DESTDIR)$(htdocsdir)/index.html ] && cp -p $(DESTDIR)$(EXAMPLESDIR)/index.html $(DESTDIR)$(htdocsdir)/index.html) || true
+ 
+ install-error:
+-	-@if [ -d $(DESTDIR)$(errordir) ]; then \
+-           echo "[PRESERVING EXISTING ERROR SUBDIR: $(DESTDIR)$(errordir)]"; \
+-        else \
+-	    echo Installing error documents ; \
++	    @echo Installing error documents ; \
+ 	    $(MKINSTALLDIRS) $(DESTDIR)$(errordir) ; \
+-	    cd $(top_srcdir)/docs/error && cp -rp * $(DESTDIR)$(errordir) ; \
+-	    test "x$(errordir)" != "x" && cd $(DESTDIR)$(errordir) && find . -name ".svn" -type d -print | xargs rm -rf 2>/dev/null || true; \

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Olli Hauer freebsd_committer 2013-03-26 22:05:07 UTC
State Changed
From-To: open->closed

A port with parts of your patch was committed 
Thanks!